summaryrefslogtreecommitdiffstats
path: root/bin/common-functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/common-functions.sh')
-rwxr-xr-xbin/common-functions.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/common-functions.sh b/bin/common-functions.sh
index 8118812f..163833ee 100755
--- a/bin/common-functions.sh
+++ b/bin/common-functions.sh
@@ -74,6 +74,10 @@ else
if [ -z "$SCHROOT_BASE" ]; then
export SCHROOT_BASE=/schroots
fi
+ if [ ! -d "$SCHROOT_BASE" ]; then
+ echo "Directory $SCHROOT_BASE does not exist, aborting."
+ exit 1
+ fi
# use these settings in the scripts in the (s)chroots too
export SCRIPT_HEADER="#!/bin/bash
if $DEBUG ; then